package de.tu_darmstadt.tk.SmartHomeNetworkSim.core.devices;

import de.tu_darmstadt.tk.SmartHomeNetworkSim.core.RoomStatus;

public class SmartTemperatureSensor extends FloatSensorDevice implements SensorLabel {
	
	
	private RoomStatus roomStatus;

	
	public SmartTemperatureSensor(String name, RoomStatus room) {
		super(name, 1000);
		roomStatus = room;
	}
	
	@Override
	protected void updateData() {
		/**
		 * Update Temperature to Room Temperature
		 */
		super.setFSval(roomStatus.getTemperature());
	}

	@Override
	public String getSensorLabel() {
		return "" + getFSval();
	}
	
}
